org.apache.flume.channel.file.encryption

## Enum CipherProviderType

- java.lang.Object
- - java.lang.Enum<CipherProviderType>
  - - org.apache.flume.channel.file.encryption.CipherProviderType

- All Implemented Interfaces:
    Serializable, Comparable<CipherProviderType>

      public enum CipherProviderType
      extends Enum<CipherProviderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AESCTRNOPADDING`
    `OTHER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends CipherProvider>` | `getProviderClass()`
    `static CipherProviderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CipherProviderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AESCTRNOPADDING

          public static final CipherProviderType AESCTRNOPADDING

    - #### OTHER

          public static final CipherProviderType OTHER

  - ### Method Detail

    - #### values

          public static CipherProviderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CipherProviderType c : CipherProviderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CipherProviderType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getProviderClass

          public Class<? extends CipherProvider> getProviderClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.